
locals {
  associate_public_ip_address = var.associate_public_ip_address
  bare_metal_type = var.bare_metal_type
  cpu_core_count = var.cpu_core_count
  data_disks = var.data_disks
  deletion_protection = var.deletion_protection
  dry_run = var.dry_run
  force_delete = var.force_delete
  host_name = var.host_name
  image_id = var.image_id
  image_ids = var.image_ids
  image_name_regex = var.image_name_regex
  instance_charge_type = var.instance_charge_type
  instance_type = var.instance_type
  instance_type_family = var.instance_type_family
  internet_charge_type = var.internet_charge_type
  internet_max_bandwidth_out = var.internet_max_bandwidth_out
  key_name = var.key_name
  kms_encrypted_password = var.kms_encrypted_password
  kms_encryption_context = var.kms_encryption_context
  memory_size = var.memory_size
  most_recent = var.most_recent
  name = var.name
  number_of_instances = var.number_of_instances
  owners = var.owners
  password = var.password
  private_ip = var.private_ip
  private_ips = var.private_ips
  profile = var.profile
  region = var.region
  resource_group_id = var.resource_group_id
  role_name = var.role_name
  security_enhancement_strategy = var.security_enhancement_strategy
  security_group_ids = var.security_group_ids
  shared_credentials_file = var.shared_credentials_file
  skip_region_validation = var.skip_region_validation
  subscription = var.subscription
  system_disk_category = var.system_disk_category
  system_disk_size = var.system_disk_size
  tags = var.tags
  user_data = var.user_data
  volume_tags = var.volume_tags
  vswitch_id = var.vswitch_id
  vswitch_ids = var.vswitch_ids
}
